Go to the first, previous, next, last section, table of contents.

### `simp_ff`

`simp_ff(obj)`
  :: Converts numbers or coefficients of polynomials into elements in finite fields.

return
  number or polynomial
obj
  number or polynomial

- Converts numbers or coefficients of polynomials into elements in finite fields.
- It is used to convert integers or intrgral polynomials int elements of finite fields or polynomials over finite fields.
- An element of a finite field may not have the reduced representation. In such case an application of `simp_ff` assures the output has the reduced representation.

    [0] simp_ff((x+1)^10);
    x^10+10*x^9+45*x^8+120*x^7+210*x^6+252*x^5+210*x^4+120*x^3+45*x^2+10*x+1
    [1] setmod_ff(3);
    3
    [2] simp_ff((x+1)^10);
    1*x^10+1*x^9+1*x+1
    [3] ntype(coef(@@,10));
    6

`References`
  section `setmod_ff`, section `lmptop`, section `gf2nton`

Go to the first, previous, next, last section, table of contents.